From ok@artecdesign.ee Thu Aug  4 06:53:15 2005
Date: Thu, 4 Aug 2005 16:46:28 +0300 (EEST)
From: Olav Kongas <ok@artecdesign.ee>
To: Greg KH <greg@kroah.com>
Subject: USB: isp116x-hcd: use fixed power-on-to-power-good-time
Message-ID: <Pine.LNX.4.63.0508041641070.2726@pcx>


This patch removes the power-on-to-power-good-time configuration option for
isp116x-hcd.

Signed-off-by: Olav Kongas <ok@artecdesign.ee>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/usb/host/isp116x-hcd.c |    6 +-----
 include/linux/usb_isp116x.h    |    2 --
 2 files changed, 1 insertion(+), 7 deletions(-)

--- gregkh-2.6.orig/drivers/usb/host/isp116x-hcd.c	2005-08-08 09:48:09.000000000 -0700
+++ gregkh-2.6/drivers/usb/host/isp116x-hcd.c	2005-08-08 16:01:38.000000000 -0700
@@ -1580,16 +1580,12 @@
 	isp116x_write_reg16(isp116x, HCHWCFG, val);
 
 	/* ----- Root hub conf */
-	val = 0;
+	val = (25 << 24) & RH_A_POTPGT;
 	/* AN10003_1.pdf recommends NPS to be always 1 */
 	if (board->no_power_switching)
 		val |= RH_A_NPS;
 	if (board->power_switching_mode)
 		val |= RH_A_PSM;
-	if (board->potpg)
-		val |= (board->potpg << 24) & RH_A_POTPGT;
-	else
-		val |= (25 << 24) & RH_A_POTPGT;
 	isp116x_write_reg32(isp116x, HCRHDESCA, val);
 	isp116x->rhdesca = isp116x_read_reg32(isp116x, HCRHDESCA);
 
--- gregkh-2.6.orig/include/linux/usb_isp116x.h	2005-08-02 13:41:32.000000000 -0700
+++ gregkh-2.6/include/linux/usb_isp116x.h	2005-08-08 16:01:38.000000000 -0700
@@ -26,8 +26,6 @@
 	/* Ganged port power switching (0) or individual port
 	   power switching (1) */
 	unsigned power_switching_mode:1;
-	/* Given port_power, msec/2 after power on till power good */
-	u8 potpg;
 	/* Hardware reset set/clear. If implemented, this function must:
 	   if set == 0,   deassert chip's HW reset pin
 	   otherwise,     assert chip's HW reset pin       */
